<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_codigo2'])) {
    $errors[] = "Codigo vacío";
} else if (!empty($_POST['mod_codigo2'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    //Archivo de funciones PHP
    require_once "../funciones.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $codigo           = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_codigo2"], ENT_QUOTES)));
    $oem           = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_oem2"], ENT_QUOTES)));
    $remplazo           = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_remplazo2"], ENT_QUOTES)));
    $nombre           = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_nombre2"], ENT_QUOTES)));
    $descripcion      = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_descripcion2"], ENT_QUOTES)));
    $linea            = intval($_POST['mod_linea2']);
    $linea2           = intval($_POST['mod_linea3']);
    $estado           = intval($_POST['mod_estado2']);
    $impuesto         = intval($_POST['mod_impuesto2']);
    $inv              = intval($_POST['mod_inv2']);
    $costo            = floatval($_POST['mod_costo2']);
    $utilidad         = floatval($_POST['mod_utilidad2']);
    $precio_venta     = floatval($_POST['mod_precio2']);
    $precio_mayoreo   = floatval($_POST['mod_preciom2']);
    $precio_especial  = floatval($_POST['mod_precioe2']);
    $stock            = floatval($_POST['mod_stock2']);
    $stock_minimo     = floatval($_POST['mod_minimo2']);
    $date_added       = date("Y-m-d H:i:s");
    $users            = intval($_SESSION['id_users']);
    $sucursal            = intval($_POST['mod_sucursal2']);
    $proveedor   = intval($_POST['mod_proveedor2']);
    $ubicacion      = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_ubicacion2"], ENT_QUOTES)));
    $img      = mysqli_real_escape_string($conexion, (strip_tags($_POST["image"], ENT_QUOTES)));
    $query_new_insert = '';
    //Multiplica los productos de acuerdo al numero de las sucursales
    if ($sucursal == 0) {
        $result           = mysqli_query($conexion, "SELECT id_sucursal, nombre_sucursal FROM sucursales;");
        while ($fila = mysqli_fetch_array($result)) {
            $sucursal_id = $fila['id_sucursal'];
            $sql              = "INSERT INTO productos (codigo_producto, cod_oem, cod_remplazo, nombre_producto, descripcion_producto, id_linea_producto, id_linea2_producto, id_proveedor, inv_producto, iva_producto, estado_producto, costo_producto, utilidad_producto, valor1_producto,valor2_producto,valor3_producto, stock_producto,stock_min_producto, date_added, image_path, sucursal_id, ubicacion_producto) 
                                                VALUES ('$codigo','$oem','$remplazo','$nombre','$descripcion','$linea','$linea2','$proveedor','$inv','$impuesto','$estado','$costo','$utilidad','$precio_venta','$precio_mayoreo','$precio_especial','$stock','$stock_minimo','$date_added','$img','$sucursal_id','$ubicacion')";
            $insert = mysqli_query($conexion, $sql);
        }
    } else {
        //validacion de imagen 
        // check if user or email address already exists
        $sql              = "INSERT INTO productos (codigo_producto, cod_oem, cod_remplazo, nombre_producto, descripcion_producto, id_linea_producto, id_linea2_producto, id_proveedor, inv_producto, iva_producto, estado_producto, costo_producto, utilidad_producto, valor1_producto,valor2_producto,valor3_producto, stock_producto,stock_min_producto, date_added,image_path, sucursal_id, ubicacion_producto) 
                                VALUES ('$codigo','$oem','$remplazo','$nombre','$descripcion','$linea','$linea2','$proveedor','$inv','$impuesto','$estado','$costo','$utilidad','$precio_venta','$precio_mayoreo','$precio_especial','$stock','$stock_minimo','$date_added','$img','$sucursal','$ubicacion')";
        $insert = mysqli_query($conexion, $sql);

        //Seleccionamos el ultimo compo numero_fatura y aumentamos una
        $sql         = mysqli_query($conexion, "select LAST_INSERT_ID(id_producto) as last from productos order by id_producto desc limit 0,1 ");
        $rw          = mysqli_fetch_array($sql);
        $id_producto = $rw['last'];
        //GURDAMOS LAS ENTRADAS EN EL KARDEX
        $saldo_total    = $stock * $costo;
        $sql_kardex     = mysqli_query($conexion, "select * from kardex where producto_kardex='" . $id_producto . "' order by id_kardex DESC LIMIT 1");
        $rww            = mysqli_fetch_array($sql_kardex);
        $cant_saldo     = isset($rww['cant_saldo']) + $stock;
        $saldo_full     = isset($rww['total_saldo']) + $saldo_total;
        $costo_promedio = isset($rww['total_saldo']) + $saldo_total / $cant_saldo;
        $tipo           = 5;

        guardar_entradas($date_added, $id_producto, $stock, $costo, $saldo_total, $cant_saldo, $costo_promedio, $saldo_full, $date_added, $users, $tipo);
        global $inserts;
        if ($insert) {
            $messages[] = "Producto ha sido ingresado satisfactoriamente.";
        } else {
            $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
        }
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}
if (isset($messages)) {

?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}

?>